body {
    font-family: 'Montserrat', sans-serif;
    margin: 0;
    padding: 0;
}

.header-wrap-nav {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 1em 0;
    background-color: #ffffff;
    position: fixed;
    z-index: 10;
}

.logo {
    margin: 0 0 0 11em;
    cursor: pointer;
}

.nav ul {
    list-style-type: none;
    margin: 0 11em 0 0;
    padding: 0;
    width: 25em;
    display: flex;
    justify-content: space-around;
}

.nav a {
    text-decoration: none;
    color: #363636;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 0.8em;
    transition: all .2s ease-in-out;
}

.nav a:hover {
    color: #0078aa;
}

.header-wrap-main {
    background-image: url("../img/lady.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 35em;
    display: flex;
}

.header-text {
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    width: 25em;
    margin: 0 0 0 11em;
}

.header-text h1 {
    margin: 0;
}

.header-text p {
    color: #a1a1a1;
    font-size: 0.8em;
    white-space: pre-line;
}

.header-buttons {
    display: flex
}

.header-button {
    width: 1.5em;
    height: 1.5em;
    color: #ffffff;
    background-color: #0078aa;
    padding: 0.5em;
    margin: 0 0.5em 0 0;
    border-radius: 50%;
    border: 1px solid #0078aa;
    transition: all .2s ease-in-out;
}

.header-button:hover {
    color: #0078aa;
    background-color: #ffffff;
    border: 1px solid #0078aa;
}

.about-section {
    display: flex;
    align-items: center;
    margin: 1em auto;
}

.about-section img {
    width: 100%;
    flex: 1;
}

.about-subtitle {
    text-transform: uppercase;
    color: #0078aa;
}

.about-section-content p:first-child {
    font-weight: 600;
}

.about-section-content span {
    color: #0078aa;
    padding: 0 0.2em 0 0;
}

.about-text {
    width: 65%;
}

.services-section {
    background-image: url("../img/services_bg.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: top;
    height: fit-content;
    display: flex;
}

.services-title {
    margin: 2em auto 0 auto;
    text-align: center;
}

.services-subtitle {
    text-transform: uppercase;
    font-size: 0.8em;
    text-align: center;
    margin: 0.5em auto 1em auto;
}

.services-wrap {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin: 2em;
}

.services-card {
    background-color: #ffffff;
    margin: 0.5em;
    padding: 1em;
    width: 23em;
}

.card-header {
    font-weight: 600;
}

.pricing-section {
    background-image: url("../img/pricing_bg.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: fit-content;
}

.pricing-title {
    text-align: center;
    margin: 2em auto 0 auto;
}

.pricing-subtitle {
    text-transform: uppercase;
    font-size: 0.8em;
    text-align: center;
    margin: 0.5em auto 1em auto;
}

.pricing-card {
    background-color: #47c9e5;
    color: #ffffff;
    border: 2px solid #47c9e5;
    margin: 0.5em;
    padding: 2em 1em;
    width: 20em;
    text-align: center;
    transition: all .2s ease-in-out;
}

.pricing-card:hover {
    background-color: #ffffff;
    color: #0078aa;
    border: 2px solid #0078aa;
    transform: scale(1.1);
}

.pricing-card button {
    background-color: #ffffff;
    border: 2px solid #0078aa;
    color: #0078aa;
    padding: 0.7em 1.5em;
    text-align: center;
    text-decoration: none;
    font-size: 0.9em;
    border-radius: 10px;
    font-weight: 600;
    cursor: pointer;
    transition: all .2s ease-in-out;
}

.pricing-card button:hover {
    background-color: #0078aa;
    border: 2px solid #0078aa;
    color: #ffffff;
}

.pricing-card-header {
    font-weight: 600;
    font-size: 1.5em;
}

.card-price {
    font-size: 2.5em;
    font-weight: 600;
}

.card-subtitle {
    font-style: italic;
}

.pricing-card ul {
    list-style-type: none;
    padding: 0;
}

.pricing-card li {
    padding: 1em;
    font-size: 0.8em;
}

.pricing-wrap {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin: 2em;
}

.contact-section {
    display: flex;
    align-items: center;
    margin: 1em auto 0 auto;
}

.contact-section img {
    width: 50%;
    flex: 1;
}

.contact-title {
    margin: 2em auto 0 auto;
}

.contact-subtitle {
    text-transform: uppercase;
    font-size: 0.8em;
    margin: 0.5em auto 1em auto;
}

.form {
    margin: 2em;
}

.form input {
    background-color: transparent;
    width: 100%;
    padding: 1em 1em 0.5em 1em;
    box-sizing: border-box;
    border: none;
    border-bottom: 1px solid #cbcbcb;
    font-style: italic;
}

.form input:focus {
    outline: none;
}

.form button {
    background-color: #0078aa;
    border: 2px solid #0078aa;
    color: #ffffff;
    padding: 0.7em 1.5em;
    text-align: center;
    text-decoration: none;
    font-size: 0.9em;
    border-radius: 10px;
    font-weight: 600;
    cursor: pointer;
    margin: 1em 0;
    transition: all .2s ease-in-out;
}

.form button:hover {
    background-color: #ffffff;
    border: 2px solid #0078aa;
    color: #0078aa;
}

footer {
    background-color: #363636;
    color: #ffffff;
    margin: 0;
    padding: 1em;
    text-align: center;
    font-size: 0.8em;
}

footer p {
    margin: 0;
}

.back-to-top-link {
    position: fixed;
    bottom: 1em;
    margin: 2em;
    right: 1em;
    width: 1.5em;
    height: 1.5em;
    color: #ffffff;
    background-color: #0078aa;
    padding: 1em;
    border-radius: 50%;
    border: 2px solid #0078aa;
    transition: all .2s ease-in-out;
}

.back-to-top-link:hover {
    color: #0078aa;
    background-color: #ffffff;
    border: 2px solid #0078aa;
}

@media screen and (prefers-reduced-motion: no-preference) {
    html {
        scroll-behavior: smooth;
        scroll-padding-top: 70px;
    }
}

@media only screen and (max-width: 768px) {
    .logo {
        margin: 0;
    }

    .header-wrap-nav {
        flex-direction: column;
    }

    .header-text {
        margin: 0 auto;
        text-align: center;
    }

    .header-text p {
         white-space: normal;
    }

    .about-section img {
        width: 25%;
    }

    .nav ul {
        margin: 0;
    }

    .header-buttons {
        justify-content: space-around;
    }

    .about-section {
        flex-direction: column;
    }

    .about-section-content {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .about-section img {
        width: 100%;
    }

    .about-section h2 {
        margin: 0;
    }

    .services-card {
        width: 100%;
    }

    .pricing-wrap {
        margin: 0;
    }

    .pricing-card:hover {
        transform: none;
    }

    .contact-section {
        flex-direction: column;
    }

    .contact-section img {
        width: 100%;
    }

    .contact-section-content {
        display: flex;
        flex-direction: column;
    }

    form {
        text-align: center;
    }

    .back-to-top-link {
         margin: 0;
    }
}

@media only screen and (max-width: 1280px) and (min-width: 768px) {
    .logo {
        margin: 0 0 0 1em;
    }

    .nav ul {
        margin: 0 1em 0 0;
    }

    .header-text {
        margin: 0 0 0 1em;
    }

    .about-section img {
        width: 50%;
    }

    .about-section-content {
        margin: 1em;
    }

    .about-text {
        width: 100%;
    }

    .services-wrap {
        margin: 0 0 2em 0;
    }

    .services-card {
        width: 12em;
    }

    .pricing-wrap {
        margin: 0;
    }

    .pricing-card {
        width: 12em;
    }

    .pricing-card:hover {
        margin: 0;
    }

}